<schemalist gettext-domain="@GETTEXT_PACKAGE@">
  <schema id="org.lozet.boardgame" path="/org/lozet/boardgame/">
    <child name="game" schema="org.lozet.boardgame.game"/>
    <child name="ui" schema="org.lozet.boardgame.ui"/>
  </schema>
  <schema id="org.lozet.boardgame.game" path="/org/lozet/boardgame/game/">
    <key name='last-game' enum='org.lozet.boardgame.GameId'>
      <default>'tic-tac-toe'</default>
      <summary>The last game played</summary>
      <description>The name of the last game played.</description>
    </key>
    <key name='difficulty' enum='org.lozet.boardgame.GameDifficulty'>
      <default>'normal'</default>
      <summary>The last game difficulty</summary>
      <description>The difficulty of the last game played.</description>
    </key>
    <key name='nb-players' enum='org.lozet.boardgame.GameNumberPlayers'>
      <default>'1-player'</default>
      <summary>The number of players</summary>
      <description>The number of players of the last game played.</description>
    </key>
  </schema>
  <schema id="org.lozet.boardgame.ui" path="/org/lozet/boardgame/ui/">
    <key name="toolbar-visible" type="b">
      <default>false</default>
      <summary>Toolbar is Visible</summary>
      <description>Whether the toolbar should be visible in the main windows.</description>
    </key>
    <key name="statusbar-visible" type="b">
      <default>false</default>
      <summary>Statusbar is Visible</summary>
      <description>Whether the statusbar should be visible in the main windows.</description>
    </key>
    <key name="history-visible" type="b">
      <default>false</default>
      <summary>History sidebar is Visible</summary>
      <description>Whether the history sidebar should be visible in the main windows.</description>
    </key>
    <key name="maximized" type="b">
      <default>false</default>
      <summary>Main Window is Maximized</summary>
      <description>Whether the main window should be maximized.</description>
    </key>
    <key name="width" type="i">
      <default>400</default>
      <summary>Main Window Width</summary>
      <description>Specifies the width of the main window.</description>
    </key>
    <key name="height" type="i">
      <default>429</default>
      <summary>Main Window Height</summary>
      <description>Specifies the height of the main window.</description>
    </key>
  </schema>
</schemalist>
